﻿import matplotlib.pyplot as plt                                 # chargement de la bibliotheque des fonctions de traces
vitesses=open('C:\\Users\\id\\Documents\\AFJ\\GRIESP\\pendule\\vitesse.csv','r')  # ouverture du fichier des acquisitions
t=[]                                    # initialisation de la liste des dates
v=[]                                    # initialisation de la liste des vitesses
vitesses.readline()                     # passage de la premiere ligne comportant les noms des donnees
for i in range(1000):                   # repetition pour les 1000 premieres mesures du fichier d'acquisitions des vitesses
    mesures=vitesses.readline()         # extraction de la premiere serie de mesures (t,f,v)
    mesures=mesures.rstrip('\n')        # suppresion du passage a la ligne
    mesures=mesures.split(sep=';')      # separation des 3 valeurs (t;f;v) separees dans mesures par le caractere ";"
    t.append(float(mesures[0]))         # enregistrement comme reel (float) de la valeur de t (1ere valeur de "mesures") dans la liste t
    v.append(float(mesures[2]))         # enregistrement comme reel (float) de la valeur de v (3eme valeur de "mesures") dans la liste v
plt.plot(t,v)                           # trace de la vitesse selon en fonction du temps
plt.xlabel("temps (s)")                 # etiquettes des axes
plt.ylabel("vitesse (m/s)")
plt.title('vitesse')                    # titre du graphique
plt.show()                              # affichage du trace
