﻿import matplotlib.pyplot as plt               # chargement de la bibliotheque des fonctions de traces
accelerations=open('??????????????????','r')  # ouverture du fichier des acquisitions
t=[]                                    # initialisation de la liste des dates
az=[]                                   # initialisation de la liste des accelerations selon l'axe Oz
accelerations.readline()                # passage de la premiere ligne comportant les noms des donnees
for i in range(10000):                  # repetition pour les 1000 premieres mesures du fichier d'acquisitions accelerations
    mesures=accelerations.readline()    # extraction de la premiere serie de mesures (t,ax,ay,az,a)
    mesures=mesures.rstrip('\n')        # suppresion du passage a la ligne
    mesures=mesures.split(sep=';')      # separation des 5 valeurs (t;ax;ay;az;a) separees dans mesures par le caractere ";"
    t.append(float(mesures[...]))       # enregistrement comme reel (float) de la valeur de t (1ere valeur de "mesures") dans la liste t
    az.append(float(mesures[...]))      # enregistrement comme reel (float) de la valeur de az (4eme valeur de "mesures") dans la liste az

plt.plot(...,...)                       # trace de l'acceleration selon Oz en fonction du temps
plt.xlabel("temps (s)")                 # etiquettes des axes
plt.ylabel("accélération (m/s²)")
plt.title('accélération verticale')     # titre du graphique
plt.show()                              # affichage du trace
